using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication2
{
    class Program
    {
        static void Main(string[] args)
        {
            string s = Console.ReadLine();
            string[] abvg = s.Split();
            int n = Convert.ToInt32(abvg[0]);
            int l = Convert.ToInt32(abvg[1]);
            string s1 = Console.ReadLine();
            string[] abvgd = s1.Split();
            int br = 0;
            foreach(string t in abvgd)
            {
                br++;
            }
            int atsr = -1;
            int[] niz = new int[br];
            for(int i = 0; i < br; i++)
            {
                niz[i] = Convert.ToInt32(abvgd[i]);
            }
            for(int i = 0; i < br; i++)
            {
                if (niz[i] <= l)
                {
                    atsr = i + 1; break;
                }
            }
            Console.WriteLine(atsr);
            Console.ReadKey();
        }
    }
}